<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SubscriptionServicePackage extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function servicePackage()
    {
        return $this->belongsTo(ServicePackage::class, 'spac_id')->with('serviceCategory');

    }

    public function client()
    {
        return $this->belongsTo(User::class, 'client_id');
    }

}
